version: "3.7"

networks:
  revirstart:
    driver: bridge

services:
  app:
    build:
      args:
        GID: ${GID}
        UID: ${UID}
        GROUP_NAME: ${GROUP_NAME}
        USER_NAME: ${USER_NAME}
      context: dev
      dockerfile: php-fpm.dockerfile
    container_name: revirstart-app
    restart: unless-stopped
    working_dir: /app
    depends_on:
      - db
    env_file:
      - .env
    volumes:
      - ./.././:/app
      - ./dev/php/xdebug.ini:/usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini
    networks:
      - revirstart

  db:
    image: percona
    container_name: revirstart-db
    restart: unless-stopped
    ports:
      - 4500:3306
    environment:
      MYSQL_DATABASE: ${DB_DATABASE}
      MYSQL_ALLOW_EMPTY_PASSWORD: 1
      MYSQL_ROOT_PASSWORD: ${DB_PASSWORD}
      MYSQL_PASSWORD: ${DB_PASSWORD}
      MYSQL_USER: ${DB_USERNAME}
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - ./data:/var/lib/mysql
    networks:
      - revirstart

  nginx:
    image: nginx:alpine
    container_name: revirstart-nginx
    restart: unless-stopped
    depends_on:
      - app
    ports:
      - ${NGINX_PORT}:80
    environment:
      APP_URL: "${APP_URL}"
    volumes:
      - ./.././:/app
      - ./dev/nginx:/etc/nginx/conf.d/
    networks:
      - revirstart

  php-cli:
    build:
        args:
          GID: ${GID}
          UID: ${UID}
          GROUP_NAME: ${GROUP_NAME}
          USER_NAME: ${USER_NAME}
        context: dev
        dockerfile: php-cli.dockerfile
    container_name: revirstart-cli
    working_dir: /app
    depends_on:
        - db
    env_file:
        - .env
    volumes:
        - ./.././:/app
        - ./dev/php/xdebug.ini:/usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini
    networks:
        - revirstart
